<?php
#-----------------------------------------------------#
#          ********* Бизнес Сайты *********           #
#             Made by   :  BIZON                      #
#               E-mail  :  blin.alex@bk.ru            #
#                 Site  :  http://f913218p.bget.ru    #
#  Вы не имеете право вносить изменения в код скрипта #
#      это может повлечь неработоспособность сайта    #
#-----------------------------------------------------#
if (isset($_GET['st'])){$st = check($_GET["st"]);}else{$st ="";}
$link="/?p=$pages&amp;";
if(isset($_POST["avto_u"])){$avto_u = check($_POST["avto_u"]);}else{unset($avto_u);}
if($avto_u=="go"){
if (isset($_POST['logen_av'])) {$login_a = check($_POST['logen_av']);} else {$login_a = "";}
if (isset($_POST['pass_av'])) {$pass_a = check($_POST['pass_av']);} else {$pass_a = "";}
$av_porv= "SELECT * FROM s_useres WHERE login = '".strtolower($login_a)."' and pass = '".md5($pass_a)."' ";
$avlog = mysql_query($av_porv) or die(mysql_error());
$numav = mysql_num_rows($avlog);
if ($numav == 0){
$error_a="Вы указали неправильныл Логин или Пароль !";}else{
$_SESSION['log'] = strtolower($login_a);
$_SESSION['par'] = $pass_a;
unset($avto_u);
header ('Location: /?'.SID); exit;
}}
if(isset($_GET["exit"])){$exit = check($_GET["exit"]);}else{unset($exit);}
if($exit=="exit"){
unset($_SESSION['log']);
unset($_SESSION['par']);
header ('Location: /?'.SID); exit;
}else{
unset($exit);
}

if($numaz==0){$title="Авторизация";}else{
///////////////////////////////////////////// Авторизация
$title="Профиль";
$P_avatar=s_userdan(avatar);
if(empty($P_avatar)) $P_av="0.gif"; else $P_av=check($P_avatar);
$P_pol=s_userdan(pol);
if($P_pol==2) $P_pmg="Девушка"; else $P_pmg="Парень";
$P_timereg = date("d.m.y",s_userdan(timereg));
//////////////////////////////////////////// Изменить
 if(isset($_POST["P_ava"])){
$P_ava = check($_POST["P_ava"]);
$query=mysql_query("UPDATE `s_useres` SET `avatar`='".$P_ava."' WHERE `id`='".s_userdan(id)."'");
header ('Location: /?p='.$pages.'&'.SID); exit;
}
if(isset($_GET["edit"])){
$P_edit=(int)$_GET["edit"];
if($P_edit>3 or $P_edit==0){header ('Location: /?p='.$pages.'&'.SID); exit;}
if(isset($_POST["reris"])){$preris=check($_POST["reris"]);}else{unset($preris);}
if($P_edit==3){
$P_top="Изменить пароль";
if($preris=="go"){
$rpassword=check($_POST["rpassword"]);
$prpassword=check($_POST["prpassword"]);
$rkode=check($_POST["rkode"]);
if($rkode != $_SESSION['rand_co']){
$E_error="Указаный вами код несовподает";}else{
if (!preg_match("/^[a-z0-9]{6,20}$/i",$rpassword)){
$E_error="Убедитесь что Пароль содержит от 6 до 20 символов, и состоит из латинских символов и цифр";}else{
if($prpassword!=$rpassword){
$E_error="Указанные вами пароли не совподают";}else{
$query=mysql_query("UPDATE `s_useres` SET `pass`='".md5($rpassword)."' WHERE `id`='".s_userdan(id)."'");
unset($_SESSION['log']);
unset($_SESSION['par']);
header ('Location: /?p='.$pages.'&'.SID); exit;
}}}}}
if($P_edit==2){
$P_top="Изменить пол";
if($preris=="go"){
$sex=check($_POST["sex"]);
$rkode=check($_POST["rkode"]);
if(empty($sex)) $sex="1";
if($rkode != $_SESSION['rand_co']){
$E_error="Указаный вами код несовподает";}else{
$query=mysql_query("UPDATE `s_useres` SET `pol`='".$sex."' WHERE `id`='".s_userdan(id)."'");
header ('Location: /?p='.$pages.'&'.SID); exit;
}}}
if($P_edit==1){
$P_top="Сменить Е-mail";
 if($preris=="go"){
$remail=check($_POST["remail"]);
$rkode=check($_POST["rkode"]);
 if($rkode != $_SESSION['rand_co']){
$E_error="Указаный вами код несовподает";}else{
if(empty($remail)){
$E_error="Укажите ваш E-mail";}else{
if(!preg_match("|^[-0-9a-z_\.]+@[-0-9a-z_^\.]+\.[a-z]{2,6}$|i", $remail)){
$E_error="Указанный вами E-mail несуществеет! Введите реальный.";}else{
$bd_prmail = "SELECT * FROM s_useres WHERE mail = '".$remail."'";
$res = mysql_query($bd_prmail) or die(mysql_error());
$nummal = mysql_num_rows($res);
if ($nummal != 0){
$E_error="Данный E-mail уже указан при регистрации. Укажите другой.";}else{
$query=mysql_query("UPDATE `s_useres` SET `mail`='".$remail."' WHERE `id`='".s_userdan(id)."'");
header ('Location: /?p='.$pages.'&'.SID); exit;
}}}}}}
}else{
unset($P_edit);}}
?>